Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class Aspettativa

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.Aspettativa

    public class Aspettativa

extends java.lang.Object

Indica se il dipendente usufruisce di un periodo di aspettativa.

Field Summary
`private java.lang.String` | `codTipologiaAspettativa` Indica la tipologia di aspettativa.
`private java.lang.String` | `dataFinePeriodoAspettativa` Data di fine del periodo di aspettativa.
`private java.lang.String` | `dataInizioPeriodoAspettativa` Data di inizio del periodo di aspettativa.

Constructor Summary
`Aspettativa()`

Method Summary
`java.lang.String` | `getCodTipologiaAspettativa()`
`java.lang.String` | `getDataFinePeriodoAspettativa()`
`java.lang.String` | `getDataInizioPeriodoAspettativa()`
`void` | `setCodTipologiaAspettativa(java.lang.String codTipologiaAspettativa)`
`void` | `setDataFinePeriodoAspettativa(java.lang.String dataFinePeriodoAspettativa)`
`void` | `setDataInizioPeriodoAspettativa(java.lang.String dataInizioPeriodoAspettativa)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataInizioPeriodoAspettativa

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataInizioPeriodoAspettativa

  Data di inizio del periodo di aspettativa.

### dataFinePeriodoAspettativa

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataFinePeriodoAspettativa

  Data di fine del periodo di aspettativa.

### codTipologiaAspettativa

    @Facets(pattern="(1|2)?")
    @MinOccurs(value=0L)
    private java.lang.String codTipologiaAspettativa

  Indica la tipologia di aspettativa. Obbligatorio se indicata la data di inizio aspettativa. Puņ assumere i seguenti valori:
  - 1: COMANDO/ASSEGNAZIONE PROVVISORIA
  - 2: ALTRA TIPOLOGIA DI ASPETTATIVA

Constructor Detail

### Aspettativa

    public Aspettativa()

Method Detail

### getDataInizioPeriodoAspettativa

    public java.lang.String getDataInizioPeriodoAspettativa()

### setDataInizioPeriodoAspettativa

    public void setDataInizioPeriodoAspettativa(java.lang.String dataInizioPeriodoAspettativa)

### getDataFinePeriodoAspettativa

    public java.lang.String getDataFinePeriodoAspettativa()

### setDataFinePeriodoAspettativa

    public void setDataFinePeriodoAspettativa(java.lang.String dataFinePeriodoAspettativa)

### getCodTipologiaAspettativa

    public java.lang.String getCodTipologiaAspettativa()

### setCodTipologiaAspettativa

    public void setCodTipologiaAspettativa(java.lang.String codTipologiaAspettativa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD